> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/asset-types/model-setup/properties/property-types/property-details.md).

# Property details

Configuration details for properties

### Attribute settings

| Attribute | An attribute to add to use for this property. |
| --------- | --------------------------------------------- |

### Business unit settings

| Mandatory | Determines if the business unit property shall be mandatory, which will require the user to select at least one owner business unit. |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------ |

### Entity references settings

| Property label          | A label to show for the property.                 |
| ----------------------- | ------------------------------------------------- |
| Property description    | A description to show for the property.           |
| Referencing entity type | The entity type you want to show references from. |
| Referencing attribute   | The attribute you want to show references from.   |

### Security settings

| View permission | Determines if a specific permission is required for the user to be able to see this property.  |
| --------------- | ---------------------------------------------------------------------------------------------- |
| Edit permission | Determines if a specific permission is required for the user to be able to edit this property. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-models/asset-types/model-setup/properties/property-types/property-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
